---
title: Docsy
description: A Hugo theme for creating great technical documentation sites
---

{{% blocks/cover title="Welcome to Docsy!" image_anchor="top" height="full" %}}
{{% param description %}}
{.display-6}

<a class="btn btn-lg btn-primary me-3" href="about/">Learn More</a>
<a class="btn btn-lg btn-secondary" href="docs/get-started/">Get started</a>
{.p-initial .my-5}

{{% blocks/link-down color="info" %}}
{{% /blocks/cover %}}

{{% blocks/lead color="primary" %}}
Docsy is a theme for the Hugo static site generator that's specifically designed
for technical documentation sets. Our aim is to help you get a working
documentation site up and running as easily as possible, so you can concentrate
on creating great content for your users.

<a href="https://www.netlify.com" target="_blank" rel="noopener">
  <img src="https://www.netlify.com/img/global/badges/netlify-color-accent.svg" alt="Deploys by Netlify" />
</a>
{{% /blocks/lead %}}

{{% blocks/section color="dark" type="row" %}}

{{% blocks/feature icon="fa-lightbulb" title="See Docsy in action!" url="/docs/examples/" %}}
As well as our example site, there's a growing number of projects using Docsy for their doc sites.
{{% /blocks/feature %}}


{{% blocks/feature icon="fa-brands fa-github" title="Contributions welcome!" url="https://github.com/google/docsy" %}}
We do a [Pull Request](https://github.com/google/docsy/pulls) contributions workflow on **GitHub**. New users are always welcome!
{{% /blocks/feature %}}


{{% blocks/feature icon="fa-brands fa-x-twitter" title="Follow us on Twitter!" url="https://twitter.com/docsydocs" %}}
Find out about new features and how our users are using Docsy.
{{% /blocks/feature %}}

{{% /blocks/section %}}
