---
title: Examples
weight: 8
description: Some examples of Docsy in action!
---

One of the best ways to see what Docsy can do, and learn how to configure a site with it, is to see some real projects. In addition to our provided Docsy Example Project, there are several live sites already using the theme. Please add your own examples once you've got a production site up and running with Docsy!

## Docsy theme examples

Example sites that have low to no customization:

| Site  | Repo |
|---|---|
| [This Docsy documentation site](/docs) | https://github.com/google/docsy |
| ["Goldydocs" - a Docsy example site](https://example.docsy.dev) | https://github.com/google/docsy-example  |
| https://www.kubeflow.org/  | https://github.com/kubeflow/website  |
| https://agones.dev/site/ | https://github.com/googleforgames/agones/tree/main/site |
| https://googlecontainertools.github.io/kpt/ | https://github.com/GoogleContainerTools/kpt/tree/main/docs |
| [Navidrome Music Server](https://www.navidrome.org) | https://github.com/navidrome/website |
| https://docs.agilebase.co.uk/ | https://github.com/okohll/abdocs |
| https://jvmperf.net/ | https://github.com/cchesser/java-perf-workshop |
| [gRPC](https://www.grpc.io/) | https://github.com/grpc/grpc.io |
| [tekton.dev](https://tekton.dev/) | https://github.com/tektoncd |
| [fluxcd.io](https://fluxcd.io) | https://github.com/fluxcd/website |
| [Graphviz](https://graphviz.org) | https://gitlab.com/graphviz/graphviz.gitlab.io |
| [Cloudpods](https://www.cloudpods.org) | https://github.com/yunionio/docs |
| [Selenium](https://www.selenium.dev/) | https://github.com/SeleniumHQ/seleniumhq.github.io |
| [fission.io](https://fission.io/) | https://github.com/fission/fission.io |
| [Stroom](https://gchq.github.io/stroom-docs) | https://github.com/gchq/stroom-docs |
| [OpenTelemetry](https://opentelemetry.io) | https://github.com/open-telemetry/opentelemetry.io |
| [CloudWeGo](https://www.cloudwego.io/) | https://github.com/cloudwego/cloudwego.github.io |
| [etcd](https://etcd.io/) | https://github.com/etcd-io/website |
| [protobuf.dev](https://protobuf.dev) | https://github.com/protocolbuffers/protocolbuffers.github.io |
| [Layer5 Docs](https://docs.layer5.io/) | https://github.com/layer5io/docs |
| [Apache Parquet](https://parquet.apache.org/) | https://parquet.apache.org |

## Customized Docsy examples

Example sites that include a moderate to high amount of customization:

| Site  | Repo |
|---|---|
| [Apache Airflow](https://airflow.apache.org/) | https://github.com/apache/airflow-site/ |
| [Docsy Mostly Docs](https://mostlydocs.netlify.app/) | https://github.com/gwatts/mostlydocs/ |
| [Kubernetes](https://kubernetes.io) | https://github.com/kubernetes/website |
| [XLT](https://xltdoc.xceptance.com/) | https://github.com/Xceptance/xlt-documentation |
| [Dapr](https://docs.dapr.io/) | https://github.com/dapr/docs |
